# send2gokapi

Small CLI tool to upload files to a [Gokapi](https://github.com/Forceu/Gokapi) instance.

## Usage

In order to use this tool, the following environment variables must be set:

- `SEND2GOKAPI_URL`: Base URL of a Gokapi instance. For example: `https://your.gokapi.url/`.
- `SEND2GOKAPI_API_KEY`: API Key

```shell
send2gokapi [OPTIONS] FILES
```

Valid options:

- `-d`: Max number of downloads allowed for each uploaded file (0 = unlimited). Default is 5 
- `-t`: Number of days to keep files (0 = unlimited). Default is 7.

## Installation

If you have Go 1.23:

```shell
go install lmika.dev/cmd/send2gokapi@latest 
```
